/*#########################################################################
#                                                                         #
#   Simple script shamelessly recopied from Cool Streams                  #
#   List of channels equally shamelessly "stolen" from                    #
#   "Swedish Internet Radio Stations", Amarok 1.4.x script found at:      #
#   http://www.kde-apps.org/content/show.php/Swedish+Internet+            #
#   Radio+Stations?content=70751                                          #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#   (C)       2008 Georges Dubus <georges.dubus@supelec.fr>               #
#   (C)       2008 Nickolay Bunev <just4nick@gmail.com>                   #
#   (C)       2008 Andreas Wuest <andreaswuest@gmx.de>                    #
#                                                                         #
#   Modifications to make it into the Swedish Radio script done by        #
#             2008 Jonas Thorell <jthorell@gmail.com>                     #
#   Modifications to make it into the Finnish Radio script done by        #
#             2009 Janne Pikkarainen <jaba@mikrobitti.fi>                 #
#                                                                         #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url )
{
    this.name = name;
    this.url = url;
}

var stationArray = new Array (
new Station( "Radio Helsinki (MP3 256 kbps, Server 1)", "http://217.30.180.249:7070/listen.pls" ),
new Station( "Radio Helsinki (MP3 128 kbps, Server 1)", "http://217.30.180.253:7070/listen.pls" ),
new Station( "Radio Helsinki (MP3 256 kbps, Server 2)", "http://217.30.180.249:8000/listen.pls" ),
new Station( "Radio Helsinki (MP3 128 kbps, Server 2)", "http://217.30.180.253:8000/listen.pls" ),
new Station( "Radio Helsinki (MP3 256 kbps, Server 3)", "http://217.30.180.249/listen.pls" ),
new Station( "Radio Helsinki (MP3 128 kbps, Server 3)", "http://217.30.180.253/listen.pls" ),
new Station( "Radio Helsinki (MP3 128 kbps, Server 4)", "http://radio1.radiohelsinki.fi/listen.pls" ),
new Station( "Radio Helsinki (MP3 128 kbps, Server 5)", "http://radio2.radiohelsinki.fi/listen.pls" ),
new Station( "Radio Aalto", "http://www.radioaalto.fi/player/radioaalto.asx"),
new Station( "Groove FM", "http://217.30.180.242:8000/gvfm.ogg.m3u"),
new Station( "Bassoradio", "http://83.145.201.209:8000/"),
new Station( "Radio Nova", "http://striimi.radionova.fi/nova"),
new Station( "Radio SuomiPOP (MP3)", "http://217.30.180.242:8000/rspo.mp3.m3u"),
new Station( "Radio SuomiPOP (Ogg Vorbis)", "http://217.30.180.242:8000/rspo.ogg.m3u"),
new Station( "The Voice", "http://83.145.249.98:80/"),
new Station( "Radio Dei Helsinki (20 kbps)", "mms://mms.radiodei.fi/RadioDeiR1L"),
new Station( "Radio Dei Helsinki (48 kbps)", "mms://mms.radiodei.fi/RadioDeiR1"),
new Station( "Radio Dei Helsinki (128 kbps)", "mms://mms.radiodei.fi/RadioDeiR1HF"),
new Station( "Radio Dei Nationwide (20 kbps)", "mms://mms.radiodei.fi/RadioDeiR2L"),
new Station( "Radio Dei Nationwide (48 kbps)", "mms://mms.radiodei.fi/RadioDeiR2"),
new Station( "Radio Dei Nationwide (128 kbps)", "mms://mms.radiodei.fi/RadioDeiR2HF"),
new Station( "Iskelmä Janne", "http://netti.radiojanne.fi:10170"),
new Station( "Metro FM", "http://217.30.180.242:8000/mrfm.ogg.m3u"),
new Station( "Radio 957 Tampere", "http://www.sbs.fi/player/radio957/957.m3u"),
new Station( "Radio Jyväskylä", "http://www.sbs.fi/player/radiojkl/jkl.m3u"),
new Station( "Radio Mega Oulu", "http://www.sbs.fi/player/radiomega/mega.m3u"),
new Station( "Iskelmä Rex Pohjois-Karjala", "http://media.innoventum.fi:8000/radiorex"),
new Station( "Radio Sata Turku", "http://www.sbs.fi/player/radiosata/sata.m3u"),
new Station( "Radio Vaasa", "http://webcast.vlp.fi:8000/radioVaasa.m3u"),
new Station( "Radio Voima Lahti", "http://81.175.250.3:8000"),
new Station( "YLE Radio Suomi", "mms://195.248.86.134/liveradiosuomi"),
new Station( "YLE YleX", "mms://195.248.86.134/liveylex"),
new Station( "YLE Yle Puhe", "mms://195.248.86.134/liveradiopuhe"),
new Station( "YLE Ykkönen (128 kbps)", "mms://195.248.86.134/liveyleradio1"),
new Station( "YLE Ykkönen (256 kbps)", "mms://195.248.86.134/liveyler1hifi"),
//new Station( "YLE Radio 1", "mms://195.248.86.134/liveradio1"),
//new Station( "YLE Radio Vega", "mms://195.248.86.134/liveradiovega"),
new Station( "YLE Ylen klassinen", "mms://195.248.86.134/liveklassinen"),
//new Station( "YLE Radio Extreme", "mms://195.248.86.134/liveradioextreme"),
new Station( "Classic Radio", "http://classic.nxt.fi:8000/"),
new Station( "Radio Rock", "http://stream.radiorock.fi:8000"),
new Station( "KLF (Number One For Dance)", "http://217.30.180.245:80"),
new Station( "Rondo FM (128 kbps)", "mms://mms.rondofm.fi/RondoHF"),
new Station( "Rondo FM (40 kbps)", "mms://mms.rondofm.fi/Rondo"),
new Station( "Striimi.net (Indie multimedia community)", "http://striimi.net:8000/stream.m3u")
);

function RadioFI()
{
    ScriptableServiceScript.call( this, "Radio Finland", 1, "Listen to Finnish radio stations", "Kuuntele suomalaisia radioasemia", false );
}

function onConfigure()
{                     
    Amarok.alert( "This script does not need to be configured." );
}                                                                     

function onPopulating( level, callbackData, filter )
{
    Amarok.debug( " Populating station level..." );
    //add the station streams as leaf nodes
    for ( i = 0; i < stationArray.length; i++ )
    {
        item = Amarok.StreamItem;
        item.level = 0;
        item.callbackData = "";
        item.itemName = stationArray[i].name;
        item.playableUrl = stationArray[i].url;
        item.infoHtml = "Now streaming: " + item.itemName;
        script.insertItem( item );
    }
    script.donePopulating();
}

Amarok.configured.connect( onConfigure );

script = new RadioFI();
script.populate.connect( onPopulating );
